# lsarpcd (8)

## Samba-TNG

## 20 Aug 2005

## NAME

lsarpcd - LSA services Samba-TNG daemon

## SYNOPSIS

lsarpcd [-d debuglevel] [-D] [-s servicesfile] [-l basename for log file] [-h] [-V]

## DESCRIPTION

This daemon is part of the Samba-TNG suite.

The LSA services daemon (lsarpcd) provides access to functions which will resolve account and other information. According to Luke Kenneth Casson Leighton's book, "DCE/RPC over SMB - Samba and Windows NT Domain internals", the lsarpcd daemon resolves information such as:

Names in a Domain to Security IDs (SIDs)

SIDs to Domain member names (of the format "DOMAIN\Domainmember Name")

The SID of the domain of which a server is a member

The SID of the SAM database for which a server is responsible

This daemon must be running for the server to act as a Domain Controller.

## OPTIONS

-d debuglevel
  sets the debuglevel to an integer between 0 and 100. 0 is for no debugging and 100 is for reams and reams. To submit a bug report to the Samba-TNG Team, use debug level 100 (see BUGS.txt).

-D
  tells lsarpcd to become a daemon and detach from the current terminal. This should be used for the most part.

-s servicesfile
  specifies the location of the services file. The default being /etc/services.

-l basename for log file
  sets the basename of the log file. The default is log and .lsarpcd will be appended to the file name.

-h
  Prints the help information (usage) for lsarpcd.

-V
  Prints the version number.

## SEE ALSO

netlogond(8), rpcclient(8), samrd(8), samba(7), smbd(8),

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell.

Samba-TNG is now developed by the Samba-TNG Team as an independent Open Source project. Take a look at the Samba-TNG Forum for more informations.

This manual page originally was written 2000 by Matthew Geddes.

2005 the manpage was adapted to the current version of the Samba-TNG project.